Description

I would like to be able to read the pilot names that are currently docked in my station. In-game this information can be seen through
the Guest window.

History

#1 - 2016-08-16 10:58 PM - Amadeus

- Status changed from New to Feedback Required

| think what we would need to do is add something to 'pilot' type type so that the GetLocalPilots method of the 'eve' datatype would allow you to
retrieve all of the pilots in the local system and then distinguish which are in the same station with you, etc.

Or, if that's not easily discernable, then yea, I'll have to see if there is a way of creating a method like GetPilotsInStation or something along those
lines.

#2 - 2016-08-16 10:58 PM - Amadeus
- Status changed from Feedback Required to Accepted

#3 - 2016-08-17 08:51 PM - bjcasey
That would be lovely. Thanks!

#4 - 2016-08-18 11:14 AM - bjcasey

Can | build on to this feature request? | would like to also be able to use the right click pilot context menu options of:
Give Money

Trade

#5 - 2016-08-18 11:28 AM - bjcasey

| guess the Give Money option already exists. So just the trading portion would be helpful!

#6 - 2017-04-23 07:35 PM - bjcasey

Can this be looked into please? | still want to be able to read pilots who are docked with me while in a station or citadel.
